import { NaverRealEstate } from "./services/naver.service";
import { realtorIds } from "./config";

async function main() {
  console.log("detailAddress 없는 매물 목록 가져오는 중...");

  for (const realtorId of realtorIds) {
    const naver = new NaverRealEstate({
      realtorId: realtorId,
    });
    try {
      // 상세 정보 HTML 가져오기 (프록시 사용)
      await naver.updateArticleDetaiAddressWithProxy();
      console.log("완료");
    } catch (error) {
      console.error(`❌ 오류 발생:`, error);

      // 오류 발생 시 더 긴 대기
      await new Promise((resolve) => setTimeout(resolve, 3000));
    }
  }
}

// 실행
main();
